(define-module (glicid packages maths)
  #:use-module (guix packages)
  #:use-module (guix utils)
  #:use-module (gnu packages maths)
  #:use-module (gnu packages commencement)
  #:use-module (gnu packages mpi)
  #:use-module (guix download)
  #:use-module (guix git-download)
)

;;;;;;;;

(define-public scalapack-newer

  (package
    (inherit scalapack) 
    (name "scalapack-newer")
    (version "2.1.0-upstrean") ;; need this for compilation > gcc 9
    (source (origin
             (method git-fetch)
              (uri (git-reference
              (url "https://github.com/Reference-ScaLAPACK/scalapack.git")
              (commit "3f898b5f1225c9eee271ae6ac6c351ef84f860af")
             ))
             (sha256
              (base32
               "02q791g1sfic4k3ih31z07pnzhld09wyq524bicx6jx1aw8s7k4b"))))
    
    )
  )

(define-public scalapack-latest scalapack-newer)

;; scalapack-newer

;;; glicid/maths.scm ends here
